﻿Class MainWindow 

    Private Sub btnCriarMenus_Click(sender As Object, e As RoutedEventArgs) Handles btnCriarMenus.Click
        ' cria o menu prinicipal
        Dim menuPrincipal As New Menu()
        grdConteudo.Children.Add(menuPrincipal)
        menuPrincipal.HorizontalAlignment = System.Windows.HorizontalAlignment.Stretch
        menuPrincipal.VerticalAlignment = System.Windows.VerticalAlignment.Top

        ' Cria o menu Arquivo
        Dim arquivoMenuItem As New MenuItem()
        arquivoMenuItem.Header = "_Arquivo"
        menuPrincipal.Items.Add(arquivoMenuItem)

        ' Cria o item do menu Arquivo
        Dim abrirMenuItem As New MenuItem()
        arquivoMenuItem.Items.Add(abrirMenuItem)
        abrirMenuItem.Header = "_Abrir"
        AddHandler abrirMenuItem.Click, AddressOf abrirMenuItem_Click

        ' Inclui um tooltipo ao item Abrir
        Dim abrirToolTip As New ToolTip()
        abrirMenuItem.ToolTip = abrirToolTip
        abrirToolTip.Content = "Abir Novo Arquivo"

        ' Cria o item Sair do menu Arquivo
        Dim sairMenuItem As New MenuItem()
        arquivoMenuItem.Items.Add(sairMenuItem)
        sairMenuItem.Header = "_Sair"
        AddHandler sairMenuItem.Click, AddressOf sairMenuItem_Click

        ' Inclui uma tooltip ao item Sair
        Dim sairToolTip As New ToolTip()
        sairMenuItem.ToolTip = sairToolTip
        sairToolTip.Content = "Encerrar o programa"
    End Sub
    Private Sub abrirMenuItem_Click(sender As Object, e As RoutedEventArgs)
        MessageBox.Show("Abir um novo arquivo...")
    End Sub

    Private Sub sairMenuItem_Click(sender As Object, e As RoutedEventArgs)
        MessageBox.Show("Hasta la vista...!")
        Me.Close()
    End Sub
End Class
